Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gjt.sp.util
Class ReadWriteLock

    java.lang.Object
      org.gjt.sp.util.ReadWriteLock

Deprecated. Use java.util.concurrent.locks.ReentrantReadWriteLock which is available since J2SE 5.0 (1.5). This class was written for J2SE 1.4, and is still here only for compatibility.

    public class ReadWriteLock

extends java.lang.Object

Implements consumer/producer locking scemantics.

Constructor Summary
`ReadWriteLock()` Deprecated.

Method Summary
`boolean` | `isWriteLocked()` Deprecated.
`void` | `readLock()` Deprecated.
`void` | `readUnlock()` Deprecated.
`void` | `writeLock()` Deprecated.
`void` | `writeUnlock()` Deprecated.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ReadWriteLock

    public ReadWriteLock()

  Deprecated.

Method Detail

### readLock

    public void readLock()

  Deprecated.

### readUnlock

    public void readUnlock()

  Deprecated.

### writeLock

    public void writeLock()

  Deprecated.

### writeUnlock

    public void writeUnlock()

  Deprecated.

### isWriteLocked

    public boolean isWriteLocked()

  Deprecated.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD